using System;

internal sealed class Delegate839 : MulticastDelegate
{
	public extern Exception Invoke(object object_0);

	public static Exception smethod_0(object object_0, Delegate839 delegate839_1)
	{
		return delegate839_1(object_0);
	}

	public extern Delegate839(object object_0, IntPtr intptr_0);

	static Delegate839()
	{
		Class10.smethod_13(typeof(Delegate839).TypeHandle);
	}

	internal static Delegate839 delegate839_0;
}
